## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToText Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces simple text only. More...

`#include <FormatterToText.hpp>`

Inheritance diagram for FormatterToText:

[legend]
Collaboration diagram for FormatterToText:

[legend]
List of all members.

## Public Methods

- FormatterToText (MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    FormatterToText instance constructor. More...
- FormatterToText (Writer &writer, bool normalizeLinefeed=true, bool handleIgnorableWhitespace=true, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    FormatterToText instance constructor. More...
- FormatterToText (Writer &writer, const XalanDOMString &encoding, bool normalizeLinefeed=true, bool handleIgnorableWhitespace=true, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    FormatterToText instance constructor. More...
- virtual ~FormatterToText ()
- MemoryManagerType& getMemoryManager ()
- Writer* getWriter () const
- void setWriter (Writer *theWriter)
- void clearEncoding ()
- const XalanDOMString& getEncoding () const
- void setEncoding (const XalanDOMString &theEncoding)
- XalanDOMChar getMaxCharacter () const
- void setMaxCharacter (XalanDOMChar theMaxChar)
- bool getNormalizeLinefeed () const
- void setNormalizeLinefeed (bool fNormalize)
- bool getHandleIgnorableWhitespace () const
- void setHandleIgnorableWhitespace (bool fHandle)
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()
- virtual void comment (const XMLCh *const data)
- virtual void cdata (const XMLCh *const ch, const unsigned int length)

## Static Public Methods

- FormatterToText* create (MemoryManagerType &theManager, Writer &writer, const XalanDOMString &encoding, bool normalizeLinefeed=true, bool handleIgnorableWhitespace=true)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces simple text only.

## Constructor & Destructor Documentation

FormatterToText::FormatterToText ( | MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

| FormatterToText instance constructor.

FormatterToText::FormatterToText ( | Writer & writer,
| bool normalizeLinefeed = true,
| bool handleIgnorableWhitespace = true,
| MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

  | FormatterToText instance constructor. Parameters:
  writer | writer for output
  normalizeLindefeed | Normalize or \r (on certain platforms).
  handleIgnorableWhitespace | If true ignorableWhitespace() will write data to the Writer

FormatterToText::FormatterToText ( | Writer & writer,
| const XalanDOMString & encoding,
| bool normalizeLinefeed = true,
| bool handleIgnorableWhitespace = true,
| MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

  | FormatterToText instance constructor. Parameters:
  writer | writer for output
  encoding | character encoding for the writer
  normalizeLindefeed | Normalize or \r on certain platforms.
  handleIgnorableWhitespace | If true ignorableWhitespace() will write data to the Writer

FormatterToText::~FormatterToText ( | )`[virtual]`

## Member Function Documentation

void FormatterToText::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

void FormatterToText::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToText::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToText::clearEncoding ( | )

void FormatterToText::comment ( | const XMLCh *const data )`[virtual]`

FormatterToText * FormatterToText::create ( | MemoryManagerType & theManager,
| Writer & writer,
| const XalanDOMString & encoding,
| bool normalizeLinefeed = true,
| bool handleIgnorableWhitespace = true )`[static]`

void FormatterToText::endDocument ( | )`[virtual]`

void FormatterToText::endElement ( | const XMLCh *const name )`[virtual]`

void FormatterToText::entityReference ( | const XMLCh *const name )`[virtual]`

const XalanDOMString & FormatterToText::getEncoding ( | ) const

bool FormatterToText::getHandleIgnorableWhitespace ( | ) const

XalanDOMChar FormatterToText::getMaxCharacter ( | ) const

MemoryManagerType & FormatterToText::getMemoryManager ( | )

bool FormatterToText::getNormalizeLinefeed ( | ) const

Writer * FormatterToText::getWriter ( | ) const

void FormatterToText::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToText::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

void FormatterToText::resetDocument ( | )`[virtual]`

void FormatterToText::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

void FormatterToText::setEncoding ( | const XalanDOMString & theEncoding )

void FormatterToText::setHandleIgnorableWhitespace ( | bool fHandle )

void FormatterToText::setMaxCharacter ( | XalanDOMChar theMaxChar )

void FormatterToText::setNormalizeLinefeed ( | bool fNormalize )

void FormatterToText::setWriter ( | Writer * theWriter )

void FormatterToText::startDocument ( | )`[virtual]`

void FormatterToText::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

The documentation for this class was generated from the following file:

- FormatterToText.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.